#
# Known calib types
#
calibTypes:
  [
  bias, dark, flat, fiberTrace, arc
  ]
#
# Pipeline steps
#
scienceSteps:
  [
  reduceExposure, mergeArms, calculateReferenceFlux, fluxCalibrate, coaddSpectra
  ]
#
# Bootstrap the calibration directory
#
# The files are to be found in dirName, taken to be relative to --dataDir if
# not an absolute path
#
bootstrap :
  dirName : "$DRP_STELLA_DATA_DIR/raw"
  arms : [r1, b1]
  detectorMapFmt : detectorMap-sim-%s.fits
#
# Blocks of data which are used together to update the calibrations
#
calibBlocks :
  integration_test :
    bias :
      visits : ["0..4:1"]
      # config: ...
    dark :
      visits : ["5..10:1"]
      # config: ...
    flat :
      visits : ["11..21:1"]
      # config : minSNR=50
    fiberTrace :
      visits : ["26..27"]
      # configs : [trace.apertureFWHM=3]
    arc :
      visits : ["22..23"]
      # config: ...

scienceBlocks :
  integration_test :
    visits : ["24..25"]
#   pipeline :
#     reduceExposure :
#       config : ...
#     mergeArms :
#       config : ...
#     calculateReferenceFlux :
#       config : ...
#     fluxCalibrate :
#       config : ...
